Bonne nouvelle pour les propriétaires d’un appareil installé sous Lollipop, une première version de Xposed est disponible au téléchargement. Elle est encore buguée et comporte de nombreuses limitations, mais elle fonctionne avec les anciens modules.

xposed lollipop

Le développeur de Xposed l’avait teasé la semaine dernière, Xposed pour Lollipop est enfin disponible ! Comme d’habitude, c’est du côté du forum de bidouilleurs XDA-developers qu’il faut se tourner pour télécharger cette nouvelle version. Deux fichiers sont nécessaires pour l’installer, sur un téléphone rooté. Il faut tout d’abord flasher un fichier .zip avec un custom recovery afin d’installer le framework, puis sideloader un .apk afin de gérer et installer les modules. Un troisième fichier en .zip est également disponible à l’intention des développeurs. Il contient les API afin de développer de nouvelles fonctionnalités ou de nouveaux modules.

Cette première version de Xposed est encore en alpha et n’est pas tout à fait complète. Rovo89, son développeur, a préféré dans un premier temps ne proposer au téléchargement qu’une version à destination des appareils disposant d’un processeur basé sur une architecture ARMv7. En d’autres termes, il est pour le moment impossible d’utiliser cette version de Xposed ni sur des appareils 64 bits (la Nexus 9 et les derniers appareils de HTC sont donc incompatibles) ni sur des smartphones disposant de processeurs Intel. Elle est en revanche parfaite pour les Nexus 5. Version alpha oblige, elle comporte encore des bugs, et notamment un boot loop sur les appareils disposant d’une ROM provenant de Samsung. Prudence, donc.

Rovo89 a également mis en ligne une courte FAQ concernant cette première version. On y apprend notamment que le développeur dispose d’une version fonctionnelle de Xposed pour les appareils sous ARMv8, mais qu’il ne désire pas encore la mettre en ligne tant qu’elle n’est pas parfaitement stable. Plus intéressant, la majorité des anciens modules fonctionne parfaitement sur cette nouvelle version. « La plupart des modules fonctionneront sans aucun changement, particulièrement ceux qui s’occupent de modifier le comportement des applications de l’utilisateur. Les modules qui s’occupent du comportement du système devraient avoir besoin d’être ajustés au nouveau framework d’Android, ce qui n’est pas lié à ART, mais simplement à changement de l’architecture et du code qui est arrivé entre deux versions d’Android ».

Enfin, Rovo89 a précisé qu’il n’était pas question d’abandonner le support de Xposed pour les anciennes versions d’Android. Le code source de cette nouvelle version de Xposed devrait également bientôt être mis en ligne sur GitHub. Il suffit de surveiller ce sujet sur XDA-developers pour se tenir au courant.